POST api/InstantServiceAppointment/AcceptInstantServiceOrder

Request Information

URI Parameters

None.

Body Parameters

clsInstantServiceAppointmentDAL
NameDescriptionTypeAdditional information
InstantServiceAppointmentId

globally unique identifier

None.

InstantServiceId

globally unique identifier

None.

UserRegistrationId

globally unique identifier

None.

UserAddressId

globally unique identifier

None.

Amount

decimal number

None.

TaxPercentage

decimal number

None.

AppointmentDate

date

None.

BookingTime

date

None.

AppointmentTime

date

None.

AppointmentOrderNo

string

None.

Status

string

None.

InstantCartNo

integer

None.

Quantity

integer

None.

DeliveryRegistrationId

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "instantServiceAppointmentId": "b8e13f62-fa5f-45fd-b1c8-694e3eaaf2a6",
  "instantServiceId": "4de60c59-ff61-4d3e-87e5-13431d02c6c2",
  "userRegistrationId": "fc7fce23-0877-4d56-b107-837f50e3dbf6",
  "userAddressId": "f0ce9e7e-bc85-431c-b0c4-da011a32e6da",
  "amount": 5.0,
  "taxPercentage": 6.0,
  "appointmentDate": "2026-08-09T16:02:56.5383584+05:30",
  "bookingTime": "2026-08-09T16:02:56.5383584+05:30",
  "appointmentTime": "2026-08-09T16:02:56.5383584+05:30",
  "appointmentOrderNo": "sample string 10",
  "status": "sample string 11",
  "instantCartNo": 12,
  "quantity": 13,
  "deliveryRegistrationId": "a16626f8-b4fd-40e6-9bbf-e7c6d69e8037"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsInstantServiceAppointmentDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.